import { OnesTable } from '../../../../@ones-table/common';
import { GC } from '../../../../@ones-table/core';
import { ContextMenuHook } from './types';
export default class InsertContextMenuHook implements ContextMenuHook {
    private table;
    private insertRowsAboveMenuItem;
    private insertRowsBelowMenuItem;
    private insertColumnBeforeItem;
    private insertColumnAfterItem;
    private observer;
    constructor(table: OnesTable);
    handleShowContextMenu(table: OnesTable, menuData: GC.Spread.Sheets.ContextMenu.IMenuItemData[], itemsDataForShown: GC.Spread.Sheets.ContextMenu.IMenuItemData[], hitInfo: any, _spread: object): void;
    destroy(): void;
    close(): void;
}
